//
//   GBrackets.h
//


#ifndef __GBRACKET__
#define __GBRACKET__

#include "GObject.h"
#include "Complex.h"
#include "resource.h"

class GBracket :
	public GObject
{
public:
	GBracket(void){ };
	~GBracket(void){ };

	CComplex m_length;
	CComplex m_startx,m_starty,m_startz;
	CComplex m_endx,m_endy,m_endz;
	int m_bracket_design;
	double m_bracket_height;
	wxString caption;
	bool used;
	int ColR,ColG,ColB;
	GBracket* next;
	void SetOffset(int van,int ox,int oy,int vel);
	void ClearHilight(void){
		hilighted=false;
		if(next!=NULL){
			next->ClearHilight();
		}
	};

};


#endif

