//
//  GCalculation.h
//

#ifndef __GCALC__
#define __GCALC__

#include <wx/string.h>

class GCalculation
{
public:
	double input1,input2,input3,input4;
	GCalculation* i1,*i2,*i3,*i4;
	double output1;
	GCalculation* o1;	
	int mode;
	wxString var;   
	bool used;

	GCalculation();
	~GCalculation();

	bool Evaluate(double x,double* tgt);
	void Print(int depth);

};

	void ClearGcals();
	GCalculation* NewGCalculation(int mode);
	wxString GetWord(wxString &str);
	int GetFirstMonomial(wxString& str,wxString& tgt);
	int GetFirstVariable(wxString& str,wxString& tgt );
int MakeCalcVariable(wxString& str,GCalculation** ret);
int MakeCalcMonomial(wxString& str,GCalculation** ret);
int MakeCalcPolynomial(wxString& str,GCalculation** ret);
void DeleteGCalc(GCalculation* gcal);

#endif
