#ifndef __GLINE__
#define __GLINE__

#include "GObject.h"
#include "Complex.h"
#include "resource.h"

//class GPoint;
class GIncident;

class GLine :
	public GObject
{
public:
	GLine(CComplex x,CComplex y,CComplex z);
	GLine(void);
	GLine(double x1, double y1, double x2, double y2, int rr, int gg, int bb, int radius);
	GLine(const GLine& p);
	~GLine(void);
	CComplex xx,yy,zz;
	bool used;
	bool clipping;
	GLine* next;
	GIncident *ics;
	GIncident **last_ic;
	int NOics;
	double afterimage_x1,afterimage_y1,afterimage_x2,afterimage_y2;
	int lndsn;

	bool realp(double* rx,double* ry,double* rz);
	CComplex xy(void);
	CComplex xz(void);
	CComplex yz(void);
	bool SetLine(double x1, double y1, double x2, double y2);
	int NumOfLn(void);
	void SetOffset(int van,int ox,int oy,int vel);
	void ClearHilight(void){
		hilighted=false;
		if(next!=NULL){
			next->ClearHilight();
		}
	};

};
#endif
