// PtBmp.h

#include "wx/bitmap.h" 

#ifndef __PTBMP__
#define __PTBMP__

enum{
	PTBMP_BALL0=0,
	PTBMP_BALL1,
	PTBMP_BALL2,
	PTBMP_BALL3,
	PTBMP_BALL4,
	PTBMP_CAT0,
	PTBMP_CAT1,
	PTBMP_CAT2,
	PTBMP_CAT3,
	PTBMP_CAT4,
	PTBMP_STAR0,
	PTBMP_STAR1,
	PTBMP_STAR2,
	PTBMP_STAR3,
	PTBMP_STAR4,
	PTBMP_SKELETON0,
	PTBMP_CINDY0,
	PTBMP_CINDY1,
	PTBMP_CINDY2,
	PTBMP_CINDY3,
	PTBMP_CINDY4,
	PTBMP_KSEG0,
	PTBMP_KSEG1,
	PTBMP_KSEG2,
	PTBMP_KSEG3,
	PTBMP_KSEG4,
	PTBMP_PASTEL0,
	PTBMP_PASTEL1,
	PTBMP_PASTEL2,
	PTBMP_PASTEL3,
	PTBMP_PASTEL4,	
	PTBMP_USER0,
	PTBMP_USER1,
	PTBMP_USER2,
	PTBMP_USER3,
	PTBMP_USER4,
	PTBMP_MAX
};

class PtBmp
{
public:
	wxBitmap* _regular;
	wxBitmap* _regular_mask;
	wxBitmap* _hilighted;
	wxBitmap* _hilighted_mask;
	wxMask *_mask_r;
	wxMask *_mask_h;
	int _HilColR,_HilColG,_HilColB;
	int _OutColR,_OutColG,_OutColB;
	int _InColR,_InColG,_InColB;
	int _HilRad,_OutRad,_InRad;
	bool _BmpOn;
	void LoadData(int DataID);
	void ClearBitmap();
};

#endif
