//
// GImage.cpp
//

#include "wx/wx.h"
#include "KidsCindyCanvas.h"

void GImage::SetOffset(int van,int ox,int oy,int vel)
{
	vanishing=van;
	offsetx=ox;
	offsety=oy;
	velocity=vel;
}

GImage* MyCanvas::NewImage()
{
	GImage* imp = new GImage[1];
	imp->used=true;
	imp->invisible=false;
	imp->next=NULL;
	imp->offsetx=0;
	imp->offsety=0;
	imp->expand=1.0;
	imp->interval=0.2;
	imp->m_fixedratio=true;
	imp->imageon=false;
	return imp;
}

void MyCanvas::AssignImage(GImage* imp)
{
	*lastim = imp;
	lastim= &(imp->next);
	sheetbuffer[currentSheet].MyImage=ims;
	sheetbuffer[currentSheet].MyLastImage=lastim;
}

void MyCanvas::DeleteAllImages(GImage* imp)
{
	if(imp==NULL){return ;}
	DeleteAllImages(imp->next);
	delete []imp;
}

